<?php

namespace App\Filament\Widgets;

use App\Models\Rapport;
use App\Models\Inspecteur;
use App\Models\Professeur;
use App\Models\Etablissement;
use Filament\Widgets\StatsOverviewWidget;
use Filament\Widgets\StatsOverviewWidget\Stat;

class StatsOverview extends StatsOverviewWidget
{
    protected function getStats(): array
    {
        return [
            Stat::make('Rapports', Rapport::count())
                ->description('Total des rapports')
                ->descriptionIcon('heroicon-o-document-text')
                ->color('primary'),
            Stat::make('Inspecteurs', Inspecteur::count())
                ->description('Total des inspecteurs')
                ->descriptionIcon('heroicon-o-academic-cap')
                ->color('success'),
            Stat::make('Professeurs', Professeur::count())
                ->description('Total des professeurs')
                ->descriptionIcon('heroicon-o-clipboard-document-list')
                ->color('warning'),
            Stat::make('Établissements', Etablissement::count())
                ->description('Total des établissements')
                ->descriptionIcon('heroicon-o-building-office-2')
                ->color('info'),
        ];
    }
}
